Subject: RE: [ippm] Re: draft-ietf-ippm-owdp: should it be split?

From: "Cole, Robert G (Bob), ALSVC" <[email-masked]>
Date: Thu, 1 Feb 2001 10:04:00 -0500

Joan,

I am not suggesting that OWDP-test will be developed and deployed with
no means to set up the parameters for the test-plane.

> > Therefore, some vendors may not implement OWDP-Control at all.
> 
> I disagree here.  The control-plane (at least as far as the 
> draft-ietf-ippm-owdp-01.txt is concerned) sets up parameters for the
> test-plane. 
> 
Rather, there will be other means to set up the parameters, e.g., thru the
draft-kalbfleisch-sspmmib-00.txt  ( sorry but I incorretly wrote the
reference to this
last time).  Clearly, we must ensure that the other means support
the correct and sufficient set of parameters necessary to run OWDP-test.

Thanks,
Bob 
_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm

---

From: "Cucchiara, Joan" <[email-masked]>
Date: Mon, 5 Feb 2001 11:31:36 -0500

> -----Original Message-----
> From: Henk Uijterwaal (RIPE-NCC) [mailto:[email-masked]]
> Sent: Monday, February 05, 2001 8:19 AM
> To: Cucchiara, Joan
> Cc: [email-masked]'
> Subject: RE: [ippm] Re: draft-ietf-ippm-owdp: should it be split?
> 
> 
> Joan,
> 
> 
> > In summary, I believe that one of the major motivations for 
> vendors to
> > implement an IETF standard is interoperability with other vendors.
> > Starting with one control method and one test-plane would achieve
> > interoperability faster and more directly.

Hi Henk,

> 
> But in that case, I think we should take a step back and discuss
> requirements for the control protocol first, then design it 
> from there.

I agree.  A few people at Brix read this draft also,  and
echoed the same comment.   We also think this draft needs 
a clearly specified goals/requirements section.  
Also, it is sometimes helpful to list non-goals, and
thus clearly limit the scope of the protocol.

> 
> IIRC, the OWDP-C in the draft is (close to) the mechanism 
> chosen by one of
> the implementations and this is now being promoted to a standard.
> However, there are other OWD implementations and they have 
> come up with
> totally different OWDP-C's based on slightly different 
> requirements and
> implementation choices.

I would hesitate to say that this is being promoted to a standand as is,
rather
I think that the co-authors are calling for some feedback on it, but
of course, the co-authors would be better able to say what the intention
is at this time.

Certainly, you are correct, that if the requirements were more clearly
defined, then the implementation would be in the context of those
requirements.  Ideally, the implentation should be flexible and
extensible so that new requirements could be added and the implementation
could support them.  For example, the TCP-packet format could be
more flexible and extensible if a TLV approach was adopted (but this
is another discussion :)

My only point is that one control-method and one test-
method is needed for an IETF standard (and for vendor inter-operability) and
I will add that both the control-method and test-method should
be based on a set of requirements which are agreed upon upfront.

If other control-methods are incorporated in a single IETF standard, then
what are
vendors supposed to do?  As a vendor, I do not want to support
a bunch of control-methods, I just want to support one and know that 
I will be able to interoperate with other vendors that also support that
standard.

As I said before a different control-method may imply a different protocol
(especially if the requirements were slightly different).   If more than one
protocol is developed due to different control-methods, that would
be preferable than grouping multiple control-methods into a single
IETF protocol.

  Thanks, 
   -Joan

> 
> Henk
> 
> --------------------------------------------------------------
> ----------------
> Henk Uijterwaal                    Email: [email-masked]
> RIPE Network Coordination Centre     WWW: 
> http://www.ripe.net/home/henk
> Singel 258                         Phone: +31.20.5354414
> 1016 AB Amsterdam                    Fax: +31.20.5354445
> The Netherlands                   Mobile: +31.6.55861746
> --------------------------------------------------------------
> ----------------
> 
> As long as you don't tell your friends how I played the hand,
> then I won't tell my friends how you defended it.             
>     (Anonymous)
>